CREATE TABLE egp_bom_compare_results (
    BATCH_ID                         NUMBER(18, 0) ,
    BATCH_ROW_ID                     NUMBER(18, 0) ,
    GROUP_ID                         NUMBER        ,
    GROUP_NUMBER                     VARCHAR2(200) ,
    SOURCE_PRIMARY_UOM_CODE          VARCHAR2(12)  ,
    TARGET_PRIMARY_UOM_CODE          VARCHAR2(12)  ,
    SOURCE_SHOWINSALES               NUMBER        ,
    TARGET_SHOWINSALES               NUMBER        ,
    SOURCE_INSTANTIABILITY           VARCHAR2(120) ,
    TARGET_INSTANTIABILITY           VARCHAR2(120) ,
    BILL_SEQUENCE_ID                 NUMBER(18, 0) ,
    BILL_SEQUENCE_ID1                NUMBER(18, 0) ,
    SOURCE_AUTO_REQ_MATERIAL         VARCHAR2(4)   ,
    TARGET_AUTO_REQ_MATERIAL         VARCHAR2(4)   ,
    SOURCE_LOCATOR_ID                NUMBER(18, 0) ,
    TARGET_LOCATOR_ID                NUMBER(18, 0) ,
    SOURCE_SUBINVENTORY              VARCHAR2(40)  ,
    TARGET_SUBINVENTORY              VARCHAR2(40)  ,
    SOURCE_SUPPLY_TYPE               NUMBER        ,
    TARGET_SUPPLY_TYPE               NUMBER        ,
    SOURCE_BASIS_TYPE                NUMBER        ,
    TARGET_BASIS_TYPE                NUMBER        ,
    SOURCE_BOM_ITEM_TYPE             NUMBER        ,
    TARGET_BOM_ITEM_TYPE             NUMBER        ,
    SOURCE_EFFECTIVITY_CONTROL       NUMBER        ,
    TARGET_EFFECTIVITY_CONTROL       NUMBER        ,
    SOURCE_ENF_INT_REQUIREMENT       NUMBER        ,
    TARGET_ENF_INT_REQUIREMENT       NUMBER        ,
    SOURCE_INV_QUANTITY              NUMBER        ,
    TARGET_INV_QUANTITY              NUMBER        ,
    SOURCE_ITEM_SEQUENCE             NUMBER        ,
    TARGET_ITEM_SEQUENCE             NUMBER        ,
    TARGET_OPERATION_SEQ_NUM         NUMBER        ,
    TARGET_PLANNING_FACTOR           NUMBER        ,
    COMPONENT_QUANTITY               NUMBER        ,
    TARGET_COMPONENT_QUANTITY        NUMBER        ,
    COMPONENT_YIELD_FACTOR           NUMBER        ,
    TARGET_COMP_YIELD                NUMBER        ,
    SOURCE_ITEM_CLASS                VARCHAR2(960) ,
    TARGET_ITEM_CLASS                VARCHAR2(960) ,
    SOURCE_DESCRIPTION               VARCHAR2(960) ,
    TARGET_DESCRIPTION               VARCHAR2(960) ,
    SOURCE_ITEM_TYPE                 VARCHAR2(960) ,
    TARGET_ITEM_TYPE                 VARCHAR2(960) ,
    SOURCE_UOM                       VARCHAR2(80)  ,
    TARGET_UOM                       VARCHAR2(80)  ,
    SOURCE_REVISION                  VARCHAR2(72)  ,
    TARGET_REVISION                  VARCHAR2(80)  ,
    SOURCE_VERSION                   VARCHAR2(80)  ,
    TARGET_VERSION                   VARCHAR2(80)  ,
    SOURCE_LIFECYCLE_PHASE           VARCHAR2(480) ,
    TARGET_LIFECYCLE_PHASE           VARCHAR2(480) ,
    SOURCE_CHECK_ATP                 NUMBER        ,
    TARGET_CHECK_ATP                 VARCHAR2(80)  ,
    SOURCE_MAX_QUANTITY              NUMBER        ,
    TARGET_MAX_QUANTITY              NUMBER        ,
    SOURCE_MIN_QUANTITY              NUMBER        ,
    TARGET_MIN_QUANTITY              VARCHAR2(80)  ,
    SOURCE_MUTUALLY_EXCLUSIVE        NUMBER        ,
    TARGET_MUTUALLY_EXCLUSIVE        NUMBER        ,
    OPTIONAL                         NUMBER        ,
    TARGET_OPTIONAL                  NUMBER        ,
    PLANNING_FACTOR                  NUMBER        ,
    SOURCE_SO_BASIS                  NUMBER        ,
    TARGET_SO_BASIS                  NUMBER        ,
    SOURCE_INCLUDE_ON_SHIP_DOCS      NUMBER        ,
    TARGET_INCLUDE_ON_SHIP_DOCS      NUMBER        ,
    SOURCE_REQ_FOR_REVENUE           NUMBER        ,
    TARGET_REQ_FOR_REVENUE           NUMBER        ,
    SOURCE_REQ_TO_SHIP               NUMBER        ,
    TARGET_REQ_TO_SHIP               NUMBER        ,
    SOURCE_SHIP_ALLOWED              NUMBER        ,
    TARGET_SHIP_ALLOWED              NUMBER        ,
    SOURCE_CHANGE_ORDER              VARCHAR2(200) ,
    TARGET_CHANGE_ORDER              VARCHAR2(200) ,
    SOURCE_IMPLEMENTED               NUMBER        ,
    TARGET_IMPLEMENTED               NUMBER        ,
    SOURCE_GTIN                      VARCHAR2(1020),
    TARGET_GTIN                      VARCHAR2(1020),
    SOURCE_GTIN_DESC                 VARCHAR2(960) ,
    TARGET_GTIN_DESC                 VARCHAR2(960) ,
    SOURCE_GTIN_UOM                  VARCHAR2(80)  ,
    TARGET_GTIN_UOM                  VARCHAR2(80)  ,
    SOURCE_COMP_COMMENTS             VARCHAR2(960) ,
    TARGET_COMP_COMMENTS             VARCHAR2(960) ,
    TOP_BILL_SEQUENCE_ID             NUMBER(18, 0) ,
    TOP_BILL_SEQUENCE_ID1            NUMBER(18, 0) ,
    ORGANIZATION_ID                  NUMBER(18, 0) ,
    ORGANIZATION_ID1                 NUMBER(18, 0) ,
    COMPONENT_SEQUENCE_ID            NUMBER(18, 0) ,
    COMPONENT_SEQUENCE_ID1           NUMBER        ,
    COMPONENT_ITEM_ID                NUMBER(18, 0) ,
    COMPONENT_ITEM_ID1               NUMBER(18, 0) ,
    PLAN_LEVEL                       NUMBER        ,
    PLAN_LEVEL1                      NUMBER        ,
    SORT_ORDER                       VARCHAR2(4000)    NOT NULL,
    SORT_ORDER1                      VARCHAR2(4000),
    ORIG_SORT_ORDER                  VARCHAR2(4000),
    ORIG_SORT_ORDER1                 VARCHAR2(4000),
    PK1_VALUE                        VARCHAR2(960) ,
    PK1_VALUE1                       VARCHAR2(960) ,
    PK2_VALUE                        VARCHAR2(960) ,
    PK2_VALUE1                       VARCHAR2(960) ,
    PARENT_SORT_ORDER                VARCHAR2(4000),
    PARENT_SORT_ORDER1               VARCHAR2(4000),
    ORIG_PARENT_SORT_ORDER           VARCHAR2(4000),
    ORIG_PARENT_SORT_ORDER1          VARCHAR2(4000),
    TOP_ITEM_NUMBER                  VARCHAR2(960) ,
    TOP_ITEM_NUMBER1                 VARCHAR2(960) ,
    TOP_ITEM_ID                      VARCHAR2(960) ,
    TOP_ITEM_ID1                     VARCHAR2(960) ,
    COMPONENT_PATH                   VARCHAR2(4000),
    COMPONENT_PATH1                  VARCHAR2(4000),
    ITEM_NAME                        VARCHAR2(960) ,
    ITEM_NAME1                       VARCHAR2(960) ,
    SOURCE_SYSTEM_REFERENCE          VARCHAR2(960) ,
    SOURCE_SYSTEM_REFERENCE1         VARCHAR2(960) ,
    COMP_SOURCE_SYSTEM_REFERENCE     VARCHAR2(960) ,
    COMP_SOURCE_SYSTEM_REFERENCE1    VARCHAR2(960) ,
    COMMON_BILL_SEQUENCE_ID          NUMBER(18, 0) ,
    COMMON_BILL_SEQUENCE_ID1         NUMBER(18, 0) ,
    SOURCE_BILL_SEQUENCE_ID          NUMBER(18, 0) ,
    SOURCE_BILL_SEQUENCE_ID1         NUMBER(18, 0) ,
    COMPONENT_SEQUENCE_ID2           NUMBER        ,
    ASSEMBLY_ID1                     NUMBER(18, 0) ,
    ASSEMBLY_ID2                     NUMBER(18, 0) ,
    ITEM_NUM                         NUMBER        ,
    OPERATION_SEQ_NUM                NUMBER        ,
    EFFECTIVITY_DATE                 DATE          ,
    DISABLE_DATE                     DATE          ,
    FROM_END_ITEM_UNIT_NUMBER        VARCHAR2(120) ,
    TO_END_ITEM_UNIT_NUMBER          VARCHAR2(120) ,
    IMPLEMENTATION_DATE              DATE          ,
    TRANSACTION_TYPE                 VARCHAR2(72)  ,
    CONFIRM_STATUS                   VARCHAR2(40)  ,
    PARENT_SOURCE_SYSTEM_REF         VARCHAR2(1020),
    COMPONENT_NAME                   VARCHAR2(1020),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    PROGRAM_NAME                     VARCHAR2(120) ,
    PROGRAM_APP_NAME                 VARCHAR2(200) ,
    SOURCE_ITEM                      VARCHAR2(1020),
    MASTER_ITEM                      VARCHAR2(1020),
    DISPLAY_CHANGE                   VARCHAR2(40)  ,
    COMP_ACTION                      VARCHAR2(80)  ,
    MATCH_ACTION                     VARCHAR2(40)  ,
    MATCH_STATUS                     VARCHAR2(80)  ,
    NO_MATCHED_SSREF                 VARCHAR2(40)  ,
    NO_MATCHED_MASTER                VARCHAR2(40)  ,
    S_ATTRIBUTE1                     VARCHAR2(600) ,
    S_ATTRIBUTE2                     VARCHAR2(600) ,
    S_ATTRIBUTE3                     VARCHAR2(600) ,
    S_ATTRIBUTE4                     VARCHAR2(600) ,
    S_ATTRIBUTE5                     VARCHAR2(600) ,
    S_ATTRIBUTE6                     VARCHAR2(600) ,
    S_ATTRIBUTE7                     VARCHAR2(600) ,
    S_ATTRIBUTE8                     VARCHAR2(600) ,
    S_ATTRIBUTE9                     VARCHAR2(600) ,
    S_ATTRIBUTE10                    VARCHAR2(600) ,
    S_ATTRIBUTE11                    VARCHAR2(600) ,
    S_ATTRIBUTE12                    VARCHAR2(600) ,
    S_ATTRIBUTE13                    VARCHAR2(600) ,
    S_ATTRIBUTE14                    VARCHAR2(600) ,
    S_ATTRIBUTE15                    VARCHAR2(600) ,
    S_ATTRIBUTE16                    VARCHAR2(600) ,
    S_ATTRIBUTE17                    VARCHAR2(600) ,
    S_ATTRIBUTE18                    VARCHAR2(600) ,
    S_ATTRIBUTE19                    VARCHAR2(600) ,
    S_ATTRIBUTE20                    VARCHAR2(600) ,
    S_ATTRIBUTE21                    VARCHAR2(600) ,
    S_ATTRIBUTE22                    VARCHAR2(600) ,
    S_ATTRIBUTE23                    VARCHAR2(600) ,
    S_ATTRIBUTE24                    VARCHAR2(600) ,
    S_ATTRIBUTE25                    VARCHAR2(600) ,
    S_ATTRIBUTE26                    VARCHAR2(4000),
    S_ATTRIBUTE27                    VARCHAR2(4000),
    S_ATTRIBUTE28                    VARCHAR2(4000),
    S_ATTRIBUTE29                    VARCHAR2(4000),
    S_ATTRIBUTE30                    VARCHAR2(4000),
    S_ATTRIBUTE_NUMBER1              NUMBER        ,
    S_ATTRIBUTE_NUMBER2              NUMBER        ,
    S_ATTRIBUTE_NUMBER3              NUMBER        ,
    S_ATTRIBUTE_NUMBER4              NUMBER        ,
    S_ATTRIBUTE_NUMBER5              NUMBER        ,
    S_ATTRIBUTE_NUMBER6              NUMBER        ,
    S_ATTRIBUTE_NUMBER7              NUMBER        ,
    S_ATTRIBUTE_NUMBER8              NUMBER        ,
    S_ATTRIBUTE_NUMBER9              NUMBER        ,
    S_ATTRIBUTE_NUMBER10             NUMBER        ,
    S_ATTRIBUTE_DATE1                DATE          ,
    S_ATTRIBUTE_DATE2                DATE          ,
    S_ATTRIBUTE_DATE3                DATE          ,
    S_ATTRIBUTE_DATE4                DATE          ,
    S_ATTRIBUTE_DATE5                DATE          ,
    S_ATTRIBUTE_TIMESTAMP1           TIMESTAMP(6)  ,
    S_ATTRIBUTE_TIMESTAMP2           TIMESTAMP(6)  ,
    S_ATTRIBUTE_TIMESTAMP3           TIMESTAMP(6)  ,
    S_ATTRIBUTE_TIMESTAMP4           TIMESTAMP(6)  ,
    S_ATTRIBUTE_TIMESTAMP5           TIMESTAMP(6)  ,
    T_ATTRIBUTE1                     VARCHAR2(600) ,
    T_ATTRIBUTE2                     VARCHAR2(600) ,
    T_ATTRIBUTE3                     VARCHAR2(600) ,
    T_ATTRIBUTE4                     VARCHAR2(600) ,
    T_ATTRIBUTE5                     VARCHAR2(600) ,
    T_ATTRIBUTE6                     VARCHAR2(600) ,
    T_ATTRIBUTE7                     VARCHAR2(600) ,
    T_ATTRIBUTE8                     VARCHAR2(600) ,
    T_ATTRIBUTE9                     VARCHAR2(600) ,
    T_ATTRIBUTE10                    VARCHAR2(600) ,
    T_ATTRIBUTE11                    VARCHAR2(600) ,
    T_ATTRIBUTE12                    VARCHAR2(600) ,
    T_ATTRIBUTE13                    VARCHAR2(600) ,
    T_ATTRIBUTE14                    VARCHAR2(600) ,
    T_ATTRIBUTE15                    VARCHAR2(600) ,
    T_ATTRIBUTE16                    VARCHAR2(600) ,
    T_ATTRIBUTE17                    VARCHAR2(600) ,
    T_ATTRIBUTE18                    VARCHAR2(600) ,
    T_ATTRIBUTE19                    VARCHAR2(600) ,
    T_ATTRIBUTE20                    VARCHAR2(600) ,
    T_ATTRIBUTE21                    VARCHAR2(600) ,
    T_ATTRIBUTE22                    VARCHAR2(600) ,
    T_ATTRIBUTE23                    VARCHAR2(600) ,
    T_ATTRIBUTE24                    VARCHAR2(600) ,
    T_ATTRIBUTE25                    VARCHAR2(600) ,
    T_ATTRIBUTE26                    VARCHAR2(4000),
    T_ATTRIBUTE27                    VARCHAR2(4000),
    T_ATTRIBUTE28                    VARCHAR2(4000),
    T_ATTRIBUTE29                    VARCHAR2(4000),
    T_ATTRIBUTE30                    VARCHAR2(4000),
    T_ATTRIBUTE_NUMBER1              NUMBER        ,
    T_ATTRIBUTE_NUMBER2              NUMBER        ,
    T_ATTRIBUTE_NUMBER3              NUMBER        ,
    T_ATTRIBUTE_NUMBER4              NUMBER        ,
    T_ATTRIBUTE_NUMBER5              NUMBER        ,
    T_ATTRIBUTE_NUMBER6              NUMBER        ,
    T_ATTRIBUTE_NUMBER7              NUMBER        ,
    T_ATTRIBUTE_NUMBER8              NUMBER        ,
    T_ATTRIBUTE_NUMBER9              NUMBER        ,
    T_ATTRIBUTE_NUMBER10             NUMBER        ,
    T_ATTRIBUTE_DATE1                DATE          ,
    T_ATTRIBUTE_DATE2                DATE          ,
    T_ATTRIBUTE_DATE3                DATE          ,
    T_ATTRIBUTE_DATE4                DATE          ,
    T_ATTRIBUTE_DATE5                DATE          ,
    T_ATTRIBUTE_TIMESTAMP1           TIMESTAMP(6)  ,
    T_ATTRIBUTE_TIMESTAMP2           TIMESTAMP(6)  ,
    T_ATTRIBUTE_TIMESTAMP3           TIMESTAMP(6)  ,
    T_ATTRIBUTE_TIMESTAMP4           TIMESTAMP(6)  ,
    T_ATTRIBUTE_TIMESTAMP5           TIMESTAMP(6)  ,
    PARENT_PK1_VALUE                 VARCHAR2(960) ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    SUGGESTED_OPER_SEQ_NUM           NUMBER        ,
    T_SUGGESTED_OPER_SEQ_NUM         NUMBER        ,
    COMP_UNIQUE_PATH                 VARCHAR2(4000),
    T_COMP_UNIQUE_PATH               VARCHAR2(4000),
    PARENT_COMP_UNIQUE_PATH          VARCHAR2(4000),
    T_PARENT_COMP_UNIQUE_PATH        VARCHAR2(4000),
    BATCH_ID                         NUMBER(18, 0) ,
    BATCH_ROW_ID                     NUMBER(18, 0) ,
    GROUP_ID                         NUMBER        ,
    GROUP_NUMBER                     VARCHAR2(200) ,
    SOURCE_PRIMARY_UOM_CODE          VARCHAR2(12)  ,
    TARGET_PRIMARY_UOM_CODE          VARCHAR2(12)  ,
    SOURCE_SHOWINSALES               NUMBER        ,
    TARGET_SHOWINSALES               NUMBER        ,
    SOURCE_INSTANTIABILITY           VARCHAR2(120) ,
    TARGET_INSTANTIABILITY           VARCHAR2(120) ,
    BILL_SEQUENCE_ID                 NUMBER(18, 0) ,
    BILL_SEQUENCE_ID1                NUMBER(18, 0) ,
    SOURCE_AUTO_REQ_MATERIAL         VARCHAR2(4)   ,
    TARGET_AUTO_REQ_MATERIAL         VARCHAR2(4)   ,
    SOURCE_LOCATOR_ID                NUMBER(18, 0) ,
    TARGET_LOCATOR_ID                NUMBER(18, 0) ,
    SOURCE_SUBINVENTORY              VARCHAR2(40)  ,
    TARGET_SUBINVENTORY              VARCHAR2(40)  ,
    SOURCE_SUPPLY_TYPE               NUMBER        ,
    TARGET_SUPPLY_TYPE               NUMBER        ,
    SOURCE_BASIS_TYPE                NUMBER        ,
    TARGET_BASIS_TYPE                NUMBER        ,
    SOURCE_BOM_ITEM_TYPE             NUMBER        ,
    TARGET_BOM_ITEM_TYPE             NUMBER        ,
    SOURCE_EFFECTIVITY_CONTROL       NUMBER        ,
    TARGET_EFFECTIVITY_CONTROL       NUMBER        ,
    SOURCE_ENF_INT_REQUIREMENT       NUMBER        ,
    TARGET_ENF_INT_REQUIREMENT       NUMBER        ,
    SOURCE_INV_QUANTITY              NUMBER        ,
    TARGET_INV_QUANTITY              NUMBER        ,
    SOURCE_ITEM_SEQUENCE             NUMBER        ,
    TARGET_ITEM_SEQUENCE             NUMBER        ,
    TARGET_OPERATION_SEQ_NUM         NUMBER        ,
    TARGET_PLANNING_FACTOR           NUMBER        ,
    COMPONENT_QUANTITY               NUMBER        ,
    TARGET_COMPONENT_QUANTITY        NUMBER        ,
    COMPONENT_YIELD_FACTOR           NUMBER        ,
    TARGET_COMP_YIELD                NUMBER        ,
    SOURCE_ITEM_CLASS                VARCHAR2(960) ,
    TARGET_ITEM_CLASS                VARCHAR2(960) ,
    SOURCE_DESCRIPTION               VARCHAR2(960) ,
    TARGET_DESCRIPTION               VARCHAR2(960) ,
    SOURCE_ITEM_TYPE                 VARCHAR2(960) ,
    TARGET_ITEM_TYPE                 VARCHAR2(960) ,
    SOURCE_UOM                       VARCHAR2(80)  ,
    TARGET_UOM                       VARCHAR2(80)  ,
    SOURCE_REVISION                  VARCHAR2(72)  ,
    TARGET_REVISION                  VARCHAR2(80)  ,
    SOURCE_VERSION                   VARCHAR2(80)  ,
    TARGET_VERSION                   VARCHAR2(80)  ,
    SOURCE_LIFECYCLE_PHASE           VARCHAR2(480) ,
    TARGET_LIFECYCLE_PHASE           VARCHAR2(480) ,
    SOURCE_CHECK_ATP                 NUMBER        ,
    TARGET_CHECK_ATP                 VARCHAR2(80)  ,
    SOURCE_MAX_QUANTITY              NUMBER        ,
    TARGET_MAX_QUANTITY              NUMBER        ,
    SOURCE_MIN_QUANTITY              NUMBER        ,
    TARGET_MIN_QUANTITY              VARCHAR2(80)  ,
    SOURCE_MUTUALLY_EXCLUSIVE        NUMBER        ,
    TARGET_MUTUALLY_EXCLUSIVE        NUMBER        ,
    OPTIONAL                         NUMBER        ,
    TARGET_OPTIONAL                  NUMBER        ,
    PLANNING_FACTOR                  NUMBER        ,
    SOURCE_SO_BASIS                  NUMBER        ,
    TARGET_SO_BASIS                  NUMBER        ,
    SOURCE_INCLUDE_ON_SHIP_DOCS      NUMBER        ,
    TARGET_INCLUDE_ON_SHIP_DOCS      NUMBER        ,
    SOURCE_REQ_FOR_REVENUE           NUMBER        ,
    TARGET_REQ_FOR_REVENUE           NUMBER        ,
    SOURCE_REQ_TO_SHIP               NUMBER        ,
    TARGET_REQ_TO_SHIP               NUMBER        ,
    SOURCE_SHIP_ALLOWED              NUMBER        ,
    TARGET_SHIP_ALLOWED              NUMBER        ,
    SOURCE_CHANGE_ORDER              VARCHAR2(200) ,
    TARGET_CHANGE_ORDER              VARCHAR2(200) ,
    SOURCE_IMPLEMENTED               NUMBER        ,
    TARGET_IMPLEMENTED               NUMBER        ,
    SOURCE_GTIN                      VARCHAR2(1020),
    TARGET_GTIN                      VARCHAR2(1020),
    SOURCE_GTIN_DESC                 VARCHAR2(960) ,
    TARGET_GTIN_DESC                 VARCHAR2(960) ,
    SOURCE_GTIN_UOM                  VARCHAR2(80)  ,
    TARGET_GTIN_UOM                  VARCHAR2(80)  ,
    SOURCE_COMP_COMMENTS             VARCHAR2(960) ,
    TARGET_COMP_COMMENTS             VARCHAR2(960) ,
    TOP_BILL_SEQUENCE_ID             NUMBER(18, 0) ,
    TOP_BILL_SEQUENCE_ID1            NUMBER(18, 0) ,
    ORGANIZATION_ID                  NUMBER(18, 0) ,
    ORGANIZATION_ID1                 NUMBER(18, 0) ,
    COMPONENT_SEQUENCE_ID            NUMBER(18, 0) ,
    COMPONENT_SEQUENCE_ID1           NUMBER        ,
    COMPONENT_ITEM_ID                NUMBER(18, 0) ,
    COMPONENT_ITEM_ID1               NUMBER(18, 0) ,
    PLAN_LEVEL                       NUMBER        ,
    PLAN_LEVEL1                      NUMBER        ,
    SORT_ORDER                       VARCHAR2(4000)    NOT NULL,
    SORT_ORDER1                      VARCHAR2(4000),
    ORIG_SORT_ORDER                  VARCHAR2(4000),
    ORIG_SORT_ORDER1                 VARCHAR2(4000),
    PK1_VALUE                        VARCHAR2(960) ,
    PK1_VALUE1                       VARCHAR2(960) ,
    PK2_VALUE                        VARCHAR2(960) ,
    PK2_VALUE1                       VARCHAR2(960) ,
    PARENT_SORT_ORDER                VARCHAR2(4000),
    PARENT_SORT_ORDER1               VARCHAR2(4000),
    ORIG_PARENT_SORT_ORDER           VARCHAR2(4000),
    ORIG_PARENT_SORT_ORDER1          VARCHAR2(4000),
    TOP_ITEM_NUMBER                  VARCHAR2(960) ,
    TOP_ITEM_NUMBER1                 VARCHAR2(960) ,
    TOP_ITEM_ID                      VARCHAR2(960) ,
    TOP_ITEM_ID1                     VARCHAR2(960) ,
    COMPONENT_PATH                   VARCHAR2(4000),
    COMPONENT_PATH1                  VARCHAR2(4000),
    ITEM_NAME                        VARCHAR2(960) ,
    ITEM_NAME1                       VARCHAR2(960) ,
    SOURCE_SYSTEM_REFERENCE          VARCHAR2(960) ,
    SOURCE_SYSTEM_REFERENCE1         VARCHAR2(960) ,
    COMP_SOURCE_SYSTEM_REFERENCE     VARCHAR2(960) ,
    COMP_SOURCE_SYSTEM_REFERENCE1    VARCHAR2(960) ,
    COMMON_BILL_SEQUENCE_ID          NUMBER(18, 0) ,
    COMMON_BILL_SEQUENCE_ID1         NUMBER(18, 0) ,
    SOURCE_BILL_SEQUENCE_ID          NUMBER(18, 0) ,
    SOURCE_BILL_SEQUENCE_ID1         NUMBER(18, 0) ,
    COMPONENT_SEQUENCE_ID2           NUMBER        ,
    ASSEMBLY_ID1                     NUMBER(18, 0) ,
    ASSEMBLY_ID2                     NUMBER(18, 0) ,
    ITEM_NUM                         NUMBER        ,
    OPERATION_SEQ_NUM                NUMBER        ,
    EFFECTIVITY_DATE                 DATE          ,
    DISABLE_DATE                     DATE          ,
    FROM_END_ITEM_UNIT_NUMBER        VARCHAR2(120) ,
    TO_END_ITEM_UNIT_NUMBER          VARCHAR2(120) ,
    IMPLEMENTATION_DATE              DATE          ,
    TRANSACTION_TYPE                 VARCHAR2(72)  ,
    CONFIRM_STATUS                   VARCHAR2(40)  ,
    PARENT_SOURCE_SYSTEM_REF         VARCHAR2(1020),
    COMPONENT_NAME                   VARCHAR2(1020),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    PROGRAM_NAME                     VARCHAR2(120) ,
    PROGRAM_APP_NAME                 VARCHAR2(200) ,
    SOURCE_ITEM                      VARCHAR2(1020),
    MASTER_ITEM                      VARCHAR2(1020),
    DISPLAY_CHANGE                   VARCHAR2(40)  ,
    COMP_ACTION                      VARCHAR2(80)  ,
    MATCH_ACTION                     VARCHAR2(40)  ,
    MATCH_STATUS                     VARCHAR2(80)  ,
    NO_MATCHED_SSREF                 VARCHAR2(40)  ,
    NO_MATCHED_MASTER                VARCHAR2(40)  ,
    S_ATTRIBUTE1                     VARCHAR2(600) ,
    S_ATTRIBUTE2                     VARCHAR2(600) ,
    S_ATTRIBUTE3                     VARCHAR2(600) ,
    S_ATTRIBUTE4                     VARCHAR2(600) ,
    S_ATTRIBUTE5                     VARCHAR2(600) ,
    S_ATTRIBUTE6                     VARCHAR2(600) ,
    S_ATTRIBUTE7                     VARCHAR2(600) ,
    S_ATTRIBUTE8                     VARCHAR2(600) ,
    S_ATTRIBUTE9                     VARCHAR2(600) ,
    S_ATTRIBUTE10                    VARCHAR2(600) ,
    S_ATTRIBUTE11                    VARCHAR2(600) ,
    S_ATTRIBUTE12                    VARCHAR2(600) ,
    S_ATTRIBUTE13                    VARCHAR2(600) ,
    S_ATTRIBUTE14                    VARCHAR2(600) ,
    S_ATTRIBUTE15                    VARCHAR2(600) ,
    S_ATTRIBUTE16                    VARCHAR2(600) ,
    S_ATTRIBUTE17                    VARCHAR2(600) ,
    S_ATTRIBUTE18                    VARCHAR2(600) ,
    S_ATTRIBUTE19                    VARCHAR2(600) ,
    S_ATTRIBUTE20                    VARCHAR2(600) ,
    S_ATTRIBUTE21                    VARCHAR2(600) ,
    S_ATTRIBUTE22                    VARCHAR2(600) ,
    S_ATTRIBUTE23                    VARCHAR2(600) ,
    S_ATTRIBUTE24                    VARCHAR2(600) ,
    S_ATTRIBUTE25                    VARCHAR2(600) ,
    S_ATTRIBUTE26                    VARCHAR2(4000),
    S_ATTRIBUTE27                    VARCHAR2(4000),
    S_ATTRIBUTE28                    VARCHAR2(4000),
    S_ATTRIBUTE29                    VARCHAR2(4000),
    S_ATTRIBUTE30                    VARCHAR2(4000),
    S_ATTRIBUTE_NUMBER1              NUMBER        ,
    S_ATTRIBUTE_NUMBER2              NUMBER        ,
    S_ATTRIBUTE_NUMBER3              NUMBER        ,
    S_ATTRIBUTE_NUMBER4              NUMBER        ,
    S_ATTRIBUTE_NUMBER5              NUMBER        ,
    S_ATTRIBUTE_NUMBER6              NUMBER        ,
    S_ATTRIBUTE_NUMBER7              NUMBER        ,
    S_ATTRIBUTE_NUMBER8              NUMBER        ,
    S_ATTRIBUTE_NUMBER9              NUMBER        ,
    S_ATTRIBUTE_NUMBER10             NUMBER        ,
    S_ATTRIBUTE_DATE1                DATE          ,
    S_ATTRIBUTE_DATE2                DATE          ,
    S_ATTRIBUTE_DATE3                DATE          ,
    S_ATTRIBUTE_DATE4                DATE          ,
    S_ATTRIBUTE_DATE5                DATE          ,
    S_ATTRIBUTE_TIMESTAMP1           TIMESTAMP(6)  ,
    S_ATTRIBUTE_TIMESTAMP2           TIMESTAMP(6)  ,
    S_ATTRIBUTE_TIMESTAMP3           TIMESTAMP(6)  ,
    S_ATTRIBUTE_TIMESTAMP4           TIMESTAMP(6)  ,
    S_ATTRIBUTE_TIMESTAMP5           TIMESTAMP(6)  ,
    T_ATTRIBUTE1                     VARCHAR2(600) ,
    T_ATTRIBUTE2                     VARCHAR2(600) ,
    T_ATTRIBUTE3                     VARCHAR2(600) ,
    T_ATTRIBUTE4                     VARCHAR2(600) ,
    T_ATTRIBUTE5                     VARCHAR2(600) ,
    T_ATTRIBUTE6                     VARCHAR2(600) ,
    T_ATTRIBUTE7                     VARCHAR2(600) ,
    T_ATTRIBUTE8                     VARCHAR2(600) ,
    T_ATTRIBUTE9                     VARCHAR2(600) ,
    T_ATTRIBUTE10                    VARCHAR2(600) ,
    T_ATTRIBUTE11                    VARCHAR2(600) ,
    T_ATTRIBUTE12                    VARCHAR2(600) ,
    T_ATTRIBUTE13                    VARCHAR2(600) ,
    T_ATTRIBUTE14                    VARCHAR2(600) ,
    T_ATTRIBUTE15                    VARCHAR2(600) ,
    T_ATTRIBUTE16                    VARCHAR2(600) ,
    T_ATTRIBUTE17                    VARCHAR2(600) ,
    T_ATTRIBUTE18                    VARCHAR2(600) ,
    T_ATTRIBUTE19                    VARCHAR2(600) ,
    T_ATTRIBUTE20                    VARCHAR2(600) ,
    T_ATTRIBUTE21                    VARCHAR2(600) ,
    T_ATTRIBUTE22                    VARCHAR2(600) ,
    T_ATTRIBUTE23                    VARCHAR2(600) ,
    T_ATTRIBUTE24                    VARCHAR2(600) ,
    T_ATTRIBUTE25                    VARCHAR2(600) ,
    T_ATTRIBUTE26                    VARCHAR2(4000),
    T_ATTRIBUTE27                    VARCHAR2(4000),
    T_ATTRIBUTE28                    VARCHAR2(4000),
    T_ATTRIBUTE29                    VARCHAR2(4000),
    T_ATTRIBUTE30                    VARCHAR2(4000),
    T_ATTRIBUTE_NUMBER1              NUMBER        ,
    T_ATTRIBUTE_NUMBER2              NUMBER        ,
    T_ATTRIBUTE_NUMBER3              NUMBER        ,
    T_ATTRIBUTE_NUMBER4              NUMBER        ,
    T_ATTRIBUTE_NUMBER5              NUMBER        ,
    T_ATTRIBUTE_NUMBER6              NUMBER        ,
    T_ATTRIBUTE_NUMBER7              NUMBER        ,
    T_ATTRIBUTE_NUMBER8              NUMBER        ,
    T_ATTRIBUTE_NUMBER9              NUMBER        ,
    T_ATTRIBUTE_NUMBER10             NUMBER        ,
    T_ATTRIBUTE_DATE1                DATE          ,
    T_ATTRIBUTE_DATE2                DATE          ,
    T_ATTRIBUTE_DATE3                DATE          ,
    T_ATTRIBUTE_DATE4                DATE          ,
    T_ATTRIBUTE_DATE5                DATE          ,
    T_ATTRIBUTE_TIMESTAMP1           TIMESTAMP(6)  ,
    T_ATTRIBUTE_TIMESTAMP2           TIMESTAMP(6)  ,
    T_ATTRIBUTE_TIMESTAMP3           TIMESTAMP(6)  ,
    T_ATTRIBUTE_TIMESTAMP4           TIMESTAMP(6)  ,
    T_ATTRIBUTE_TIMESTAMP5           TIMESTAMP(6)  ,
    PARENT_PK1_VALUE                 VARCHAR2(960) ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    SUGGESTED_OPER_SEQ_NUM           NUMBER        ,
    T_SUGGESTED_OPER_SEQ_NUM         NUMBER        ,
    COMP_UNIQUE_PATH                 VARCHAR2(4000),
    T_COMP_UNIQUE_PATH               VARCHAR2(4000),
    PARENT_COMP_UNIQUE_PATH          VARCHAR2(4000),
    T_PARENT_COMP_UNIQUE_PATH        VARCHAR2(4000),
    CONSTRAINT pk_egp_bom_compare_results PRIMARY KEY (BATCH_ID, BATCH_ROW_ID, BATCH_ID, BATCH_ROW_ID)
);
